package com.qmth.teachcloud.cas.util.supwisdom;

public interface Constants {

    // CAS根地址
    String CAS_BASE_PATH = "https://cas.paas.cdut.edu.cn/cas/";

    // CAS票据验证地址
    String CAS_VALIDATE_URL = CAS_BASE_PATH + "serviceValidate";

    // CAS登录地址
    String CAS_LOGIN_URL = CAS_BASE_PATH + "login";

    // CAS注销地址
    String CAS_LOGOUT_URL = CAS_BASE_PATH + "logout";

    //登录成功默认跳转地址
    String DEF_TARGET_URI = "/api/open/zxzk_login";

    // 业务系统认证集成改造之后的登录URI
    String SSO_LOGIN_URI = "/api/open/authentication";

    // 业务系统认证集成失败提示页
    String SSO_ERROR_URI = "error.jsp";

    // REQUEST中获取需要跳转URL的KEY
    String TARGET_URL_KEY = "targetUrl";

    // SESSION中判断是否登录的KEY
    String LOGIN_KEY = "isSupwisdomCasLogin";
    String LOGIN_USER_KEY = "supwisdomCasLoginUser";

    // REQUEST中获取票据的KEY
    String TICKET_KEY = "ticket";

    // BASE64编码的前缀
    String BASE64_PREFIX = "base64";
    // Ticket验证超时时间
    int CONNECT_TIMEOUT = 5000;
}
